> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bank Account

> Create a new bank account



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json post /ca/api/account
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /ca/api/account:
    post:
      tags:
        - Cash Management
      summary: Create Bank Account
      description: Create a new bank account
      operationId: create_account
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BankAccount'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/BankAccount'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/BankAccount'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankAccount'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    BankAccount:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        entity_name:
          type: string
          readOnly: true
        department_name:
          type: string
          readOnly: true
        chart_of_accounts_account_name:
          type: string
          readOnly: true
        account_type:
          type: string
          readOnly: true
        account_subtype:
          type: string
          readOnly: true
        account_cashflow_classification:
          type: string
          readOnly: true
        type_name:
          type: string
          readOnly: true
        subtype_name:
          type: string
          readOnly: true
        cashflow_classification_name:
          type: string
          readOnly: true
        account_id:
          type: string
          format: uuid
          readOnly: true
        currency:
          type: string
          maxLength: 3
        external_account_id:
          type: string
          nullable: true
          maxLength: 200
        name:
          type: string
          nullable: true
          maxLength: 250
        nickname:
          type: string
          nullable: true
          maxLength: 250
        status:
          type: string
          nullable: true
          maxLength: 250
        type:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/BankAccountTypeEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        available_balance:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        current_balance:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        institution_id:
          type: string
          nullable: true
          maxLength: 250
        source:
          type: string
          nullable: true
          maxLength: 250
        aba_routing_number:
          type: string
          nullable: true
          description: ABA routing number (9 digits) for US bank accounts
          maxLength: 9
        swift_bic:
          type: string
          nullable: true
          description: SWIFT BIC code (8 or 11 characters) for international accounts
          maxLength: 11
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        tag_ids:
          type: array
          items:
            type: integer
            maximum: 9223372036854776000
            minimum: -9223372036854776000
            format: int64
        tag_group_ids:
          type: array
          items:
            type: integer
            maximum: 9223372036854776000
            minimum: -9223372036854776000
            format: int64
        customer:
          type: integer
          readOnly: true
        entity:
          type: integer
        chart_of_accounts_account:
          type: integer
          nullable: true
        department:
          type: integer
          nullable: true
        tags:
          type: array
          items:
            type: integer
          readOnly: true
      required:
        - account_cashflow_classification
        - account_id
        - account_subtype
        - account_type
        - cashflow_classification_name
        - chart_of_accounts_account_name
        - created_at
        - customer
        - deleted_at
        - department_name
        - entity
        - entity_name
        - id
        - is_deleted
        - last_modified_at
        - subtype_name
        - tags
        - type_name
    BankAccountTypeEnum:
      enum:
        - CHECKING
        - SAVING
        - CREDIT_CARD
        - DEBIT_CARD
        - INVESTMENT
        - LOAN
      type: string
      description: |-
        * `CHECKING` - Checking
        * `SAVING` - Savings
        * `CREDIT_CARD` - Credit Card
        * `DEBIT_CARD` - Debit Card
        * `INVESTMENT` - Investment
        * `LOAN` - Loan
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````